#include "disparity.h"

Disparity::Disparity(Point point, double value){
    this->point = point;
    this->value = value;
}

Point Disparity::getPoint(){
    return this->point;
}

double Disparity::getValue(){
    return this->value;
}

bool Disparity::comparator(Disparity* first, Disparity* second){
    return first->getValue() < second->getValue();
}

bool Disparity::contains(vector<Disparity*> disparities, Point point){
    for(Disparity* disparity: disparities) {
        if (disparity->getPoint().x == point.x && disparity->getPoint().y==point.y){
            return true;
        }
    }
    return false;
}
