#ifndef DISPARITY_H
#define DISPARITY_H

#include <opencv2/opencv.hpp>
#include <opencv2/highgui/highgui.hpp>

using namespace cv;
using namespace std;

class Disparity
{
private:
    Point point;
    double value;

public:
    Disparity(Point point, double value);
    Point getPoint();
    double getValue();
    static bool comparator(Disparity* first, Disparity* second);
    static bool contains(vector<Disparity*> disparities, Point point);

};

#endif // DISPARITY_H
