#ifndef ROTATIONDISPARITYCHECKER_H
#define ROTATIONDISPARITYCHECKER_H

#include "disparitycheckerinterface.h"

class RotationDisparityChecker: public DisparityCheckerInterface
{
public:
    RotationDisparityChecker(string parameters);
    Mat correct(Mat image, double value);
    vector<Result*> execute(Correlation* correlation, Mat left, Mat right);
    Mat summary(vector<Result*> results);
};
#endif // ROTATIONDISPARITYCHECKER_H
