#ifndef SERIALIZE_H
#define SERIALIZE_H

#include "result.h"

class Serialize
{

private:
    static void prepare(string output);
    static void plain(int id, int size, vector<Result*> results, string name, string output);
    static void images(int id, int size, vector<Result*> results, string name, string output);
    static void csv(int id, int size, vector<Result*> results, string name, string output);
    static void table(Mat left, Mat right, int id, int size, vector<Result*> results, string name, string output);

public:
    static void multi(Mat left, Mat right, int id, int size, vector<Result*> results, Mat summary, string name, string output);
    static void single(Mat left, Mat right, int id, int size, vector<Result*> results, string name, string output);
};

#endif // SERIALIZE_H
