#include "settings.h"

Settings* Settings::instance=nullptr;

Settings::Settings()
{
    this->NATIVE_EXTENSIONS.push_back("R3D");

    this->MOVIE_EXTENSIONS.push_back("MP4");
    this->MOVIE_EXTENSIONS.push_back("AVI");
    this->MOVIE_EXTENSIONS.push_back("MOV");
    this->MOVIE_EXTENSIONS.push_back("MKV");

    this->IMAGE_EXTENSIONS.push_back("BMP");
    this->IMAGE_EXTENSIONS.push_back("JPEG");
    this->IMAGE_EXTENSIONS.push_back("JPG");
    this->IMAGE_EXTENSIONS.push_back("PNG");
    this->IMAGE_EXTENSIONS.push_back("TIFF");
    this->IMAGE_EXTENSIONS.push_back("TIF");
}

Settings* Settings::getInstance(){
    if(!instance) instance = new Settings();

    return instance;
}
