#ifndef SETTINGS_H
#define SETTINGS_H

#include<string>
#include<vector>


using namespace std;

class Settings
{
private:
    static Settings* instance;
    Settings();
public:
    static Settings* getInstance();

    string EMPTY_STRING = "";
    string SPACE_STRING = " ";
    string DOT_STRING = ".";
    string COMA_STRING = ",";
    string SLASH_STRING = "\\";
    string COLON_STRING = ":";
    string SEMICOLON_STRING = ";";
    string DASH_STRING = "-";
    string LINE_STRING = "_";
    string VERTICALLY_STRING = "VERTICALLY";
    string HORIZONTALLY_STRING = "HORIZONTALLY";

    vector<string> NATIVE_EXTENSIONS;
    vector<string> MOVIE_EXTENSIONS;
    vector<string> IMAGE_EXTENSIONS;
};
#endif // SETTINGS_H
