#ifndef THREAD_H
#define THREAD_H

#include "application.h"
#include "disparitycheckerinterface.h"
#include "result.h"

#include <QThread>

class Thread : public QThread
{
private:
    Application* application;
    DisparityCheckerInterface* disparityChecker;
    Mat left;
    Mat right;
    int id;
    int size;
    string name;
    string output;
    vector<Result*> results;
    Mat summary;

public:
    Thread(Application* application, DisparityCheckerInterface* disparityChecker, Mat left, Mat right, int id, int size, string name, string output);
    ~Thread();
    void run();
    void call();
};

#endif // THREAD_H
