#ifndef VERTICALDISPARITYCHECKER_H
#define VERTICALDISPARITYCHECKER_H

#include "disparitycheckerinterface.h"

class VerticalDisparityChecker: public DisparityCheckerInterface
{
public:
    VerticalDisparityChecker(string parameters);
    Mat correct(Mat image, double value);
    vector<Result*> execute(Correlation* correlation, Mat left, Mat right);
    Mat summary(vector<Result*> results);
};
#endif // VERTICALDISPARITYCHECKER_H
