#ifndef VISUALIZE_H
#define VISUALIZE_H

#include "disparity.h"
#include "correlation.h"
#include "statistic.h"

#include <opencv2/highgui/highgui.hpp>
#include <string>

using namespace cv;
using namespace std;

class Visualize
{
public:
    static Mat anaglyph(Mat left, Mat right);
    static Mat circles(Mat image, vector<Disparity*> disparities);
    static Mat matches(Mat left, Mat right, Correlation* correlation);
};

#endif // VISUALIZE_H
