#include "consoleapplication.h"

#include <iostream>

ConsoleApplication::ConsoleApplication()
{

}

void ConsoleApplication::update(Mat left, Mat right, int id, int size, vector<Result*> results, Mat summary, string name){
    for(Result* result: results) {
        cout << name << " : " << id << " / " << size << " " << result->getName() << endl;
        for(Result::KeyValue* data: result->getData()){
            cout << data->getKey() << " : " << data->getValue() << endl;
        }
        cout << "-------------------------------------------------------------" << endl;
    }
    cout << "-------------------------------------------------------------" << endl;
}
