#ifndef DISPARITYCHECKERIMPLEMENTATION_H
#define DISPARITYCHECKERIMPLEMENTATION_H

#include "disparitycheckerinterface.h"

class DisparityChecker: public DisparityCheckerInterface
{
public:
    DisparityChecker(string parameters);
    Mat correct(Mat image, double value);
    vector<Result*> execute(Correlation* correlation, Mat left, Mat right);
    Mat summary(vector<Result*> results);
};
#endif // DISPARITYCHECKERIMPLEMENTATION_H
