#include "disparitycheckerinterface.h"
#include "disparitychecker.h"

#include "settings.h"

DisparityCheckerInterface* DisparityCheckerInterface::getInstance(string disparity, string parameters){
    if (!disparity.compare("DisparityChecker")) return new DisparityChecker(parameters);
}

string DisparityCheckerInterface::getParameter(string name){
    if(this->parameters.empty()) return Settings::getInstance()->EMPTY_STRING;

    string parameters(this->parameters); parameters+=Settings::getInstance()->COMA_STRING;
    string parameter;

    int position = 0;

    while ((position = parameters.find(Settings::getInstance()->COMA_STRING)) != string::npos) {
        parameter = parameters.substr(0, position);
        string key = parameter.substr(0, parameter.find(Settings::getInstance()->COLON_STRING));
        if(!key.compare(name)) return parameter.substr(parameter.find(Settings::getInstance()->COLON_STRING) + 1);

        parameters.erase(0, position+1);
    }

    return Settings::getInstance()->EMPTY_STRING;
}
