#ifndef R3DUTILS_H
#define R3DUTILS_H

#include <opencv2/highgui/highgui.hpp>
#include <string>

using namespace cv;
using namespace std;

class R3DUtils
{
public:
    static bool isVerticalFlip(string file);
    static bool isHorizontalFlip(string file);
    static unsigned char* allocate(unsigned int & sizeNeeded);
    static Mat toMat(unsigned char* buffer, int width, int height);
};

#endif // R3DUTILS_H
