#ifndef SCALEDISPARITYCHECKER_H
#define SCALEDISPARITYCHECKER_H

#include "disparitycheckerinterface.h"

class ScaleDisparityChecker: public DisparityCheckerInterface
{
public:
    ScaleDisparityChecker(string parameters);
    Mat correct(Mat image, double value);
    vector<Result*> execute(Correlation* correlation, Mat left, Mat right);
    Mat summary(vector<Result*> results);
};
#endif // SCALEDISPARITYCHECKER_H
