#ifndef UTILS_H
#define UTILS_H

#include "settings.h"

#include <string>
#include <vector>

using namespace std;

class Utils
{  
private:
    static bool isExtension(string extension, vector<string> extensions);
    static string getExtension(string input);

public:
    static bool isFile(string input);
    static bool isEmpty(string input);
    static string getFilename(string input);

    enum Format {NATIVE, MOVIE, IMAGE, UNKNOWN};
    static Format getFormat(string input[]);

    static vector<int> getSequences(string sequence);
    static string toString(int i);
};

#endif // UTILS_H
